VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL d(23:0)
        SIGNAL adr(1)
        SIGNAL adr(2)
        SIGNAL adr(3)
        SIGNAL d(23)
        SIGNAL d(22)
        SIGNAL d(21)
        SIGNAL d(20)
        SIGNAL d(18)
        SIGNAL d(17)
        SIGNAL d(19)
        SIGNAL d(15)
        SIGNAL d(14)
        SIGNAL d(13)
        SIGNAL d(12)
        SIGNAL d(16)
        SIGNAL adr(0)
        SIGNAL d(11)
        SIGNAL d(10)
        SIGNAL d(9)
        SIGNAL d(8)
        SIGNAL d(6)
        SIGNAL d(5)
        SIGNAL d(7)
        SIGNAL d(3)
        SIGNAL d(2)
        SIGNAL d(1)
        SIGNAL d(0)
        SIGNAL d(4)
        SIGNAL adr(9:0)
        SIGNAL adr(9)
        SIGNAL adr(8)
        SIGNAL adr(7)
        SIGNAL adr(6)
        SIGNAL adr(5)
        SIGNAL adr(4)
        PORT Output d(23:0)
        PORT Input adr(9:0)
        BEGIN BLOCKDEF rom16x1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            RECTANGLE N 64 -384 320 -64 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCK XLXI_21 rom16x1
            BEGIN ATTR INIT "0016"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(23)
        END BLOCK
        BEGIN BLOCK XLXI_31 rom16x1
            BEGIN ATTR INIT "004f"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(13)
        END BLOCK
        BEGIN BLOCK XLXI_32 rom16x1
            BEGIN ATTR INIT "006b"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(12)
        END BLOCK
        BEGIN BLOCK XLXI_30 rom16x1
            BEGIN ATTR INIT "0016"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(14)
        END BLOCK
        BEGIN BLOCK XLXI_29 rom16x1
            BEGIN ATTR INIT "0000"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(15)
        END BLOCK
        BEGIN BLOCK XLXI_28 rom16x1
            BEGIN ATTR INIT "0051"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(16)
        END BLOCK
        BEGIN BLOCK XLXI_27 rom16x1
            BEGIN ATTR INIT "0049"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(17)
        END BLOCK
        BEGIN BLOCK XLXI_26 rom16x1
            BEGIN ATTR INIT "0043"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(18)
        END BLOCK
        BEGIN BLOCK XLXI_25 rom16x1
            BEGIN ATTR INIT "0041"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(19)
        END BLOCK
        BEGIN BLOCK XLXI_24 rom16x1
            BEGIN ATTR INIT "0036"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(20)
        END BLOCK
        BEGIN BLOCK XLXI_23 rom16x1
            BEGIN ATTR INIT "0051"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(21)
        END BLOCK
        BEGIN BLOCK XLXI_22 rom16x1
            BEGIN ATTR INIT "0010"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(22)
        END BLOCK
        BEGIN BLOCK XLXI_188 rom16x1
            BEGIN ATTR INIT "0043"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(11)
        END BLOCK
        BEGIN BLOCK XLXI_189 rom16x1
            BEGIN ATTR INIT "0003"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(1)
        END BLOCK
        BEGIN BLOCK XLXI_190 rom16x1
            BEGIN ATTR INIT "0050"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(0)
        END BLOCK
        BEGIN BLOCK XLXI_191 rom16x1
            BEGIN ATTR INIT "001a"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(2)
        END BLOCK
        BEGIN BLOCK XLXI_192 rom16x1
            BEGIN ATTR INIT "0000"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(3)
        END BLOCK
        BEGIN BLOCK XLXI_193 rom16x1
            BEGIN ATTR INIT "0000"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(4)
        END BLOCK
        BEGIN BLOCK XLXI_194 rom16x1
            BEGIN ATTR INIT "0000"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(5)
        END BLOCK
        BEGIN BLOCK XLXI_195 rom16x1
            BEGIN ATTR INIT "0000"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(6)
        END BLOCK
        BEGIN BLOCK XLXI_196 rom16x1
            BEGIN ATTR INIT "0000"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(7)
        END BLOCK
        BEGIN BLOCK XLXI_197 rom16x1
            BEGIN ATTR INIT "0000"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(8)
        END BLOCK
        BEGIN BLOCK XLXI_198 rom16x1
            BEGIN ATTR INIT "0000"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(9)
        END BLOCK
        BEGIN BLOCK XLXI_199 rom16x1
            BEGIN ATTR INIT "000a"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 16 h
            END ATTR
            PIN A0 adr(0)
            PIN A1 adr(1)
            PIN A2 adr(2)
            PIN A3 adr(3)
            PIN O d(10)
        END BLOCK
        BEGIN BLOCK XLXI_260 buf
            PIN I adr(4)
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_261 buf
            PIN I adr(5)
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_262 buf
            PIN I adr(6)
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_263 buf
            PIN I adr(7)
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_264 buf
            PIN I adr(8)
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_265 buf
            PIN I adr(9)
            PIN O
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 7609 5382
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH d(23)
            WIRE 2928 480 3024 480
            WIRE 3024 480 3184 480
            BEGIN DISPLAY 3024 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(22)
            WIRE 2928 864 3024 864
            WIRE 3024 864 3184 864
            BEGIN DISPLAY 3024 864 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(21)
            WIRE 2928 1248 3024 1248
            WIRE 3024 1248 3184 1248
            BEGIN DISPLAY 3024 1248 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(20)
            WIRE 2928 1632 3024 1632
            WIRE 3024 1632 3184 1632
            BEGIN DISPLAY 3024 1632 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(18)
            WIRE 2928 2400 3024 2400
            WIRE 3024 2400 3184 2400
            BEGIN DISPLAY 3024 2400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(17)
            WIRE 2928 2784 3024 2784
            WIRE 3024 2784 3184 2784
            BEGIN DISPLAY 3024 2784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(19)
            WIRE 2928 2016 3024 2016
            WIRE 3024 2016 3184 2016
            BEGIN DISPLAY 3024 2016 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(15)
            WIRE 2928 3552 3024 3552
            WIRE 3024 3552 3184 3552
            BEGIN DISPLAY 3024 3552 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(14)
            WIRE 2928 3936 3024 3936
            WIRE 3024 3936 3184 3936
            BEGIN DISPLAY 3024 3936 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(13)
            WIRE 2928 4320 3024 4320
            WIRE 3024 4320 3184 4320
            BEGIN DISPLAY 3024 4320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(12)
            WIRE 2928 4704 3024 4704
            WIRE 3024 4704 3184 4704
            BEGIN DISPLAY 3024 4704 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(16)
            WIRE 2928 3168 3024 3168
            WIRE 3024 3168 3184 3168
            BEGIN DISPLAY 3024 3168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(11)
            WIRE 4688 480 4816 480
            WIRE 4816 480 4944 480
            BEGIN DISPLAY 4816 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(10)
            WIRE 4688 864 4816 864
            WIRE 4816 864 4944 864
            BEGIN DISPLAY 4816 864 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(9)
            WIRE 4688 1248 4816 1248
            WIRE 4816 1248 4944 1248
            BEGIN DISPLAY 4816 1248 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(8)
            WIRE 4688 1632 4816 1632
            WIRE 4816 1632 4944 1632
            BEGIN DISPLAY 4816 1632 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(6)
            WIRE 4688 2400 4832 2400
            WIRE 4832 2400 4944 2400
            BEGIN DISPLAY 4832 2400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(5)
            WIRE 4688 2784 4816 2784
            WIRE 4816 2784 4944 2784
            BEGIN DISPLAY 4816 2784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(7)
            WIRE 4688 2016 4816 2016
            WIRE 4816 2016 4944 2016
            BEGIN DISPLAY 4816 2016 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(3)
            WIRE 4688 3552 4816 3552
            WIRE 4816 3552 4944 3552
            BEGIN DISPLAY 4816 3552 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(2)
            WIRE 4688 3936 4816 3936
            WIRE 4816 3936 4944 3936
            BEGIN DISPLAY 4816 3936 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(1)
            WIRE 4688 4320 4816 4320
            WIRE 4816 4320 4944 4320
            BEGIN DISPLAY 4816 4320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(0)
            WIRE 4688 4704 4816 4704
            WIRE 4816 4704 4944 4704
            BEGIN DISPLAY 4816 4704 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(4)
            WIRE 4688 3168 4816 3168
            WIRE 4816 3168 4944 3168
            BEGIN DISPLAY 4816 3168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_31 2544 4640 R0
            BEGIN DISPLAY 368 -200 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_32 2544 5024 R0
            BEGIN DISPLAY 368 -204 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_28 2544 3488 R0
            BEGIN DISPLAY 368 -168 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_27 2544 3104 R0
            BEGIN DISPLAY 368 -184 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_26 2544 2720 R0
            BEGIN DISPLAY 368 -184 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_25 2544 2336 R0
            BEGIN DISPLAY 368 -184 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_24 2544 1952 R0
            BEGIN DISPLAY 368 -184 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_23 2544 1568 R0
            BEGIN DISPLAY 368 -184 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_22 2544 1184 R0
            BEGIN DISPLAY 368 -200 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BUSTAP 3280 480 3184 480
        BUSTAP 3280 864 3184 864
        BUSTAP 3280 1248 3184 1248
        BUSTAP 3280 1632 3184 1632
        BUSTAP 3280 2400 3184 2400
        BUSTAP 3280 2784 3184 2784
        BUSTAP 3280 2016 3184 2016
        BUSTAP 3280 3552 3184 3552
        BUSTAP 3280 3936 3184 3936
        BUSTAP 3280 4320 3184 4320
        BUSTAP 3280 4704 3184 4704
        BUSTAP 3280 3168 3184 3168
        BEGIN INSTANCE XLXI_191 4304 4256 R0
            BEGIN DISPLAY 368 -184 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_192 4304 3872 R0
            BEGIN DISPLAY 368 -200 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_193 4304 3488 R0
            BEGIN DISPLAY 368 -200 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_194 4304 3104 R0
            BEGIN DISPLAY 368 -200 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_195 4304 2720 R0
            BEGIN DISPLAY 368 -200 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_196 4304 2336 R0
            BEGIN DISPLAY 368 -168 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_197 4304 1952 R0
            BEGIN DISPLAY 368 -184 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_198 4304 1568 R0
            BEGIN DISPLAY 368 -216 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_199 4304 1184 R0
            BEGIN DISPLAY 368 -184 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BUSTAP 5040 480 4944 480
        BUSTAP 5040 864 4944 864
        BUSTAP 5040 1248 4944 1248
        BUSTAP 5040 1632 4944 1632
        BUSTAP 5040 2400 4944 2400
        BUSTAP 5040 2784 4944 2784
        BUSTAP 5040 2016 4944 2016
        BUSTAP 5040 3552 4944 3552
        BUSTAP 5040 3936 4944 3936
        BUSTAP 5040 4320 4944 4320
        BUSTAP 5040 4704 4944 4704
        BUSTAP 5040 3168 4944 3168
        BEGIN BRANCH d(23:0)
            WIRE 3280 144 3280 480
            WIRE 3280 480 3280 864
            WIRE 3280 864 3280 1248
            WIRE 3280 1248 3280 1632
            WIRE 3280 1632 3280 2016
            WIRE 3280 2016 3280 2400
            WIRE 3280 2400 3280 2784
            WIRE 3280 2784 3280 3168
            WIRE 3280 3168 3280 3552
            WIRE 3280 3552 3280 3936
            WIRE 3280 3936 3280 4320
            WIRE 3280 4320 3280 4704
            WIRE 3280 4704 3280 4784
            WIRE 3280 144 5040 144
            WIRE 5040 144 5040 480
            WIRE 5040 480 5040 864
            WIRE 5040 864 5040 1248
            WIRE 5040 1248 5040 1632
            WIRE 5040 1632 5040 2016
            WIRE 5040 2016 5040 2400
            WIRE 5040 2400 5040 2784
            WIRE 5040 2784 5040 3168
            WIRE 5040 3168 5040 3552
            WIRE 5040 3552 5040 3936
            WIRE 5040 3936 5040 4320
            WIRE 5040 4320 5040 4704
            WIRE 5040 4704 5040 4784
            WIRE 5040 144 5504 144
        END BRANCH
        IOMARKER 5504 144 d(23:0) R0 28
        BEGIN BRANCH adr(9:0)
            WIRE 1040 5264 1456 5264
            WIRE 1456 4656 1456 4720
            WIRE 1456 4720 1456 4784
            WIRE 1456 4784 1456 4848
            WIRE 1456 4848 1456 4912
            WIRE 1456 4912 1456 4976
            WIRE 1456 4976 1456 5040
            WIRE 1456 5040 1456 5088
            WIRE 1456 5088 1456 5136
            WIRE 1456 5136 1456 5184
            WIRE 1456 5184 1456 5232
            WIRE 1456 5232 1456 5264
        END BRANCH
        IOMARKER 1040 5264 adr(9:0) R180 28
        BUSTAP 1456 5232 1552 5232
        BUSTAP 1456 5184 1552 5184
        BUSTAP 1456 5136 1552 5136
        BUSTAP 1456 5088 1552 5088
        INSTANCE XLXI_260 1744 5072 R0
        INSTANCE XLXI_261 1744 5008 R0
        INSTANCE XLXI_262 1744 4944 R0
        INSTANCE XLXI_263 1744 4880 R0
        INSTANCE XLXI_264 1744 4816 R0
        INSTANCE XLXI_265 1744 4752 R0
        BUSTAP 1456 4720 1552 4720
        BUSTAP 1456 4784 1552 4784
        BUSTAP 1456 4848 1552 4848
        BUSTAP 1456 4912 1552 4912
        BUSTAP 1456 4976 1552 4976
        BUSTAP 1456 5040 1552 5040
        BEGIN BRANCH adr(9)
            WIRE 1552 4720 1584 4720
            WIRE 1584 4720 1744 4720
            BEGIN DISPLAY 1584 4720 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(8)
            WIRE 1552 4784 1584 4784
            WIRE 1584 4784 1744 4784
            BEGIN DISPLAY 1584 4784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(7)
            WIRE 1552 4848 1584 4848
            WIRE 1584 4848 1744 4848
            BEGIN DISPLAY 1584 4848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(6)
            WIRE 1552 4912 1584 4912
            WIRE 1584 4912 1744 4912
            BEGIN DISPLAY 1584 4912 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(5)
            WIRE 1552 4976 1584 4976
            WIRE 1584 4976 1744 4976
            BEGIN DISPLAY 1584 4976 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(4)
            WIRE 1552 5040 1584 5040
            WIRE 1584 5040 1744 5040
            BEGIN DISPLAY 1584 5040 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_30 2544 4256 R0
            BEGIN DISPLAY 368 -184 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_21 2544 800 R0
            BEGIN DISPLAY 368 -216 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_29 2544 3872 R0
            BEGIN DISPLAY 368 -168 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH adr(3)
            WIRE 1552 5088 1584 5088
            WIRE 1584 5088 2336 5088
            WIRE 2336 5088 4096 5088
            WIRE 2336 672 2544 672
            WIRE 2336 672 2336 1056
            WIRE 2336 1056 2544 1056
            WIRE 2336 1056 2336 1440
            WIRE 2336 1440 2544 1440
            WIRE 2336 1440 2336 1824
            WIRE 2336 1824 2544 1824
            WIRE 2336 1824 2336 2208
            WIRE 2336 2208 2544 2208
            WIRE 2336 2208 2336 2592
            WIRE 2336 2592 2544 2592
            WIRE 2336 2592 2336 2976
            WIRE 2336 2976 2544 2976
            WIRE 2336 2976 2336 3360
            WIRE 2336 3360 2544 3360
            WIRE 2336 3360 2336 3744
            WIRE 2336 3744 2336 4128
            WIRE 2336 4128 2336 4512
            WIRE 2336 4512 2544 4512
            WIRE 2336 4512 2336 4896
            WIRE 2336 4896 2544 4896
            WIRE 2336 4896 2336 5088
            WIRE 2336 4128 2544 4128
            WIRE 2336 3744 2544 3744
            WIRE 4096 672 4096 1056
            WIRE 4096 1056 4304 1056
            WIRE 4096 1056 4096 1440
            WIRE 4096 1440 4304 1440
            WIRE 4096 1440 4096 1824
            WIRE 4096 1824 4304 1824
            WIRE 4096 1824 4096 2208
            WIRE 4096 2208 4304 2208
            WIRE 4096 2208 4096 2592
            WIRE 4096 2592 4304 2592
            WIRE 4096 2592 4096 2976
            WIRE 4096 2976 4304 2976
            WIRE 4096 2976 4096 3360
            WIRE 4096 3360 4304 3360
            WIRE 4096 3360 4096 3744
            WIRE 4096 3744 4304 3744
            WIRE 4096 3744 4096 4128
            WIRE 4096 4128 4304 4128
            WIRE 4096 4128 4096 4512
            WIRE 4096 4512 4096 4896
            WIRE 4096 4896 4096 5088
            WIRE 4096 4896 4304 4896
            WIRE 4096 4512 4304 4512
            WIRE 4096 672 4304 672
            BEGIN DISPLAY 1584 5088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(2)
            WIRE 1552 5136 1584 5136
            WIRE 1584 5136 2288 5136
            WIRE 2288 5136 4048 5136
            WIRE 2288 608 2544 608
            WIRE 2288 608 2288 992
            WIRE 2288 992 2544 992
            WIRE 2288 992 2288 1376
            WIRE 2288 1376 2544 1376
            WIRE 2288 1376 2288 1760
            WIRE 2288 1760 2544 1760
            WIRE 2288 1760 2288 2144
            WIRE 2288 2144 2544 2144
            WIRE 2288 2144 2288 2528
            WIRE 2288 2528 2544 2528
            WIRE 2288 2528 2288 2912
            WIRE 2288 2912 2544 2912
            WIRE 2288 2912 2288 3296
            WIRE 2288 3296 2544 3296
            WIRE 2288 3296 2288 3680
            WIRE 2288 3680 2288 4064
            WIRE 2288 4064 2288 4448
            WIRE 2288 4448 2544 4448
            WIRE 2288 4448 2288 4832
            WIRE 2288 4832 2544 4832
            WIRE 2288 4832 2288 5136
            WIRE 2288 4064 2544 4064
            WIRE 2288 3680 2544 3680
            WIRE 4048 608 4048 992
            WIRE 4048 992 4304 992
            WIRE 4048 992 4048 1376
            WIRE 4048 1376 4304 1376
            WIRE 4048 1376 4048 1760
            WIRE 4048 1760 4304 1760
            WIRE 4048 1760 4048 2144
            WIRE 4048 2144 4304 2144
            WIRE 4048 2144 4048 2528
            WIRE 4048 2528 4304 2528
            WIRE 4048 2528 4048 2912
            WIRE 4048 2912 4304 2912
            WIRE 4048 2912 4048 3296
            WIRE 4048 3296 4304 3296
            WIRE 4048 3296 4048 3680
            WIRE 4048 3680 4304 3680
            WIRE 4048 3680 4048 4064
            WIRE 4048 4064 4304 4064
            WIRE 4048 4064 4048 4448
            WIRE 4048 4448 4048 4832
            WIRE 4048 4832 4048 5136
            WIRE 4048 4832 4304 4832
            WIRE 4048 4448 4304 4448
            WIRE 4048 608 4304 608
            BEGIN DISPLAY 1584 5136 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(1)
            WIRE 1552 5184 1584 5184
            WIRE 1584 5184 2240 5184
            WIRE 2240 5184 4000 5184
            WIRE 2240 544 2544 544
            WIRE 2240 544 2240 928
            WIRE 2240 928 2544 928
            WIRE 2240 928 2240 1312
            WIRE 2240 1312 2544 1312
            WIRE 2240 1312 2240 1696
            WIRE 2240 1696 2544 1696
            WIRE 2240 1696 2240 2080
            WIRE 2240 2080 2544 2080
            WIRE 2240 2080 2240 2464
            WIRE 2240 2464 2544 2464
            WIRE 2240 2464 2240 2848
            WIRE 2240 2848 2544 2848
            WIRE 2240 2848 2240 3232
            WIRE 2240 3232 2544 3232
            WIRE 2240 3232 2240 3616
            WIRE 2240 3616 2240 4000
            WIRE 2240 4000 2240 4384
            WIRE 2240 4384 2544 4384
            WIRE 2240 4384 2240 4768
            WIRE 2240 4768 2544 4768
            WIRE 2240 4768 2240 5184
            WIRE 2240 4000 2544 4000
            WIRE 2240 3616 2544 3616
            WIRE 4000 544 4000 928
            WIRE 4000 928 4304 928
            WIRE 4000 928 4000 1312
            WIRE 4000 1312 4304 1312
            WIRE 4000 1312 4000 1696
            WIRE 4000 1696 4304 1696
            WIRE 4000 1696 4000 2080
            WIRE 4000 2080 4304 2080
            WIRE 4000 2080 4000 2464
            WIRE 4000 2464 4304 2464
            WIRE 4000 2464 4000 2848
            WIRE 4000 2848 4304 2848
            WIRE 4000 2848 4000 3232
            WIRE 4000 3232 4304 3232
            WIRE 4000 3232 4000 3616
            WIRE 4000 3616 4304 3616
            WIRE 4000 3616 4000 4000
            WIRE 4000 4000 4304 4000
            WIRE 4000 4000 4000 4384
            WIRE 4000 4384 4000 4768
            WIRE 4000 4768 4000 5184
            WIRE 4000 4768 4304 4768
            WIRE 4000 4384 4304 4384
            WIRE 4000 544 4304 544
            BEGIN DISPLAY 1584 5184 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(0)
            WIRE 1552 5232 1584 5232
            WIRE 1584 5232 2192 5232
            WIRE 2192 5232 3952 5232
            WIRE 2192 480 2544 480
            WIRE 2192 480 2192 864
            WIRE 2192 864 2544 864
            WIRE 2192 864 2192 1248
            WIRE 2192 1248 2544 1248
            WIRE 2192 1248 2192 1632
            WIRE 2192 1632 2544 1632
            WIRE 2192 1632 2192 2016
            WIRE 2192 2016 2544 2016
            WIRE 2192 2016 2192 2400
            WIRE 2192 2400 2544 2400
            WIRE 2192 2400 2192 2784
            WIRE 2192 2784 2544 2784
            WIRE 2192 2784 2192 3168
            WIRE 2192 3168 2544 3168
            WIRE 2192 3168 2192 3552
            WIRE 2192 3552 2192 3936
            WIRE 2192 3936 2192 4320
            WIRE 2192 4320 2544 4320
            WIRE 2192 4320 2192 4704
            WIRE 2192 4704 2544 4704
            WIRE 2192 4704 2192 5232
            WIRE 2192 3936 2544 3936
            WIRE 2192 3552 2544 3552
            WIRE 3952 480 3952 864
            WIRE 3952 864 4304 864
            WIRE 3952 864 3952 1248
            WIRE 3952 1248 4304 1248
            WIRE 3952 1248 3952 1632
            WIRE 3952 1632 4304 1632
            WIRE 3952 1632 3952 2016
            WIRE 3952 2016 4304 2016
            WIRE 3952 2016 3952 2400
            WIRE 3952 2400 4304 2400
            WIRE 3952 2400 3952 2784
            WIRE 3952 2784 4304 2784
            WIRE 3952 2784 3952 3168
            WIRE 3952 3168 4304 3168
            WIRE 3952 3168 3952 3552
            WIRE 3952 3552 4304 3552
            WIRE 3952 3552 3952 3936
            WIRE 3952 3936 4304 3936
            WIRE 3952 3936 3952 4320
            WIRE 3952 4320 3952 4704
            WIRE 3952 4704 3952 5232
            WIRE 3952 4704 4304 4704
            WIRE 3952 4320 4304 4320
            WIRE 3952 480 4304 480
            BEGIN DISPLAY 1584 5232 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_188 4304 800 R0
            BEGIN DISPLAY 368 -200 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_189 4304 4640 R0
            BEGIN DISPLAY 368 -200 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_190 4304 5024 R0
            BEGIN DISPLAY 368 -216 ATTR INIT
                FONT 64 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN DISPLAY 4768 4932 TEXT a0
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4772 4552 TEXT a1
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4780 4168 TEXT a2
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4768 3804 TEXT a3
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4764 3432 TEXT a4
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3004 3416 TEXT s1
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3008 3788 TEXT s0
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3020 4152 TEXT mem
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3012 4536 TEXT rw
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3008 4916 TEXT x
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3004 3016 TEXT s2
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4764 3032 TEXT a5
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4760 2636 TEXT a6
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4764 2260 TEXT a7
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3000 2620 TEXT s3
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3004 2244 TEXT s4
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4768 1880 TEXT a8
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4764 1476 TEXT a9
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4768 1064 TEXT z
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4764 680 TEXT y
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3008 1864 TEXT s5
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3004 1460 TEXT s6
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3008 1048 TEXT s7
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3004 664 TEXT s8
            FONT 64 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
