VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL XLXN_11
        SIGNAL XLXN_12
        SIGNAL clk
        SIGNAL XLXN_41
        SIGNAL t2
        SIGNAL t1
        SIGNAL t0
        PORT Input clk
        PORT Output t2
        PORT Output t1
        PORT Output t0
        BEGIN BLOCKDEF fdc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF fd_1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 fdc
            PIN C clk
            PIN CLR XLXN_11
            PIN D XLXN_4
            PIN Q XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_3 fdc
            PIN C clk
            PIN CLR XLXN_11
            PIN D XLXN_1
            PIN Q XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_4 fdc
            PIN C clk
            PIN CLR XLXN_11
            PIN D XLXN_3
            PIN Q t0
        END BLOCK
        BEGIN BLOCK XLXI_5 fdc
            PIN C clk
            PIN CLR XLXN_11
            PIN D XLXN_2
            PIN Q XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_6 inv
            PIN I t0
            PIN O XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_8 inv
            PIN I XLXN_12
            PIN O XLXN_11
        END BLOCK
        BEGIN BLOCK XLXI_9 fd_1
            PIN C clk
            PIN D XLXN_41
            PIN Q XLXN_12
        END BLOCK
        BEGIN BLOCK XLXI_19 vcc
            PIN P XLXN_41
        END BLOCK
        BEGIN BLOCK XLXI_28 and2
            PIN I0 XLXN_3
            PIN I1 XLXN_1
            PIN O t2
        END BLOCK
        BEGIN BLOCK XLXI_29 and2
            PIN I0 t0
            PIN I1 XLXN_1
            PIN O t1
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH XLXN_1
            WIRE 1712 1264 1744 1264
            WIRE 1744 1264 1808 1264
            WIRE 1744 992 1744 1264
            WIRE 1744 992 2640 992
            WIRE 2640 992 2928 992
            WIRE 2640 912 2640 992
            WIRE 2928 912 2928 992
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 2192 1264 2288 1264
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 2672 1264 2704 1264
            WIRE 2704 1264 2768 1264
            WIRE 2704 912 2704 1264
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 1296 1264 1328 1264
        END BRANCH
        BEGIN BRANCH XLXN_11
            WIRE 1184 1584 1328 1584
            WIRE 1328 1584 1808 1584
            WIRE 1808 1584 2288 1584
            WIRE 2288 1584 2768 1584
            WIRE 1328 1488 1328 1584
            WIRE 1808 1488 1808 1584
            WIRE 2288 1488 2288 1584
            WIRE 2768 1488 2768 1584
        END BRANCH
        BEGIN BRANCH XLXN_12
            WIRE 928 1584 960 1584
        END BRANCH
        BEGIN BRANCH clk
            WIRE 480 1920 512 1920
            WIRE 512 1920 1264 1920
            WIRE 1264 1920 1744 1920
            WIRE 1744 1920 2224 1920
            WIRE 2224 1920 2704 1920
            WIRE 512 1712 544 1712
            WIRE 512 1712 512 1920
            WIRE 1264 1392 1328 1392
            WIRE 1264 1392 1264 1920
            WIRE 1744 1392 1808 1392
            WIRE 1744 1392 1744 1920
            WIRE 2224 1392 2288 1392
            WIRE 2224 1392 2224 1920
            WIRE 2704 1392 2768 1392
            WIRE 2704 1392 2704 1920
        END BRANCH
        BEGIN BRANCH XLXN_41
            WIRE 512 1456 512 1584
            WIRE 512 1584 544 1584
        END BRANCH
        INSTANCE XLXI_2 1328 1520 R0
        INSTANCE XLXI_3 1808 1520 R0
        INSTANCE XLXI_4 2768 1520 R0
        INSTANCE XLXI_5 2288 1520 R0
        INSTANCE XLXI_6 1072 1296 R0
        INSTANCE XLXI_8 960 1616 R0
        INSTANCE XLXI_9 544 1840 R0
        INSTANCE XLXI_19 448 1456 R0
        IOMARKER 480 1920 clk R180 28
        BEGIN BRANCH t2
            WIRE 2672 576 2672 656
        END BRANCH
        BEGIN BRANCH t1
            WIRE 2960 576 2960 656
        END BRANCH
        BEGIN BRANCH t0
            WIRE 1056 1056 1056 1264
            WIRE 1056 1264 1072 1264
            WIRE 1056 1056 3216 1056
            WIRE 3216 1056 3216 1264
            WIRE 2992 912 2992 992
            WIRE 2992 992 3216 992
            WIRE 3216 992 3216 1056
            WIRE 3152 1264 3216 1264
            WIRE 3216 576 3216 992
        END BRANCH
        INSTANCE XLXI_28 2768 912 R270
        INSTANCE XLXI_29 3056 912 R270
        IOMARKER 3216 576 t0 R270 28
        IOMARKER 2672 576 t2 R270 28
        IOMARKER 2960 576 t1 R270 28
    END SHEET
END SCHEMATIC
