VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL O
        SIGNAL M0
        SIGNAL M1
        SIGNAL D0
        SIGNAL S0
        SIGNAL XLXN_1
        SIGNAL XLXN_4
        SIGNAL D1
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        PORT Output O
        PORT Input D0
        PORT Input S0
        PORT Input D1
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCK I_36_9 and2
            PIN I0 D1
            PIN I1 S0
            PIN O M1
        END BLOCK
        BEGIN BLOCK I_36_8 or2
            PIN I0 M1
            PIN I1 M0
            PIN O O
        END BLOCK
        BEGIN BLOCK I_36_7 and2b1
            PIN I0 S0
            PIN I1 D0
            PIN O M0
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2688 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE I_36_9 1152 1264 R0
        INSTANCE I_36_8 1664 1104 R0
        INSTANCE I_36_7 1152 944 R0
        BEGIN BRANCH O
            WIRE 1920 1008 2496 1008
        END BRANCH
        BEGIN BRANCH M0
            WIRE 1408 848 1536 848
            WIRE 1536 848 1536 976
            WIRE 1536 976 1664 976
            BEGIN DISPLAY 1476 852 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH M1
            WIRE 1408 1168 1536 1168
            WIRE 1536 1040 1536 1168
            WIRE 1536 1040 1664 1040
            BEGIN DISPLAY 1476 1172 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D0
            WIRE 384 816 1152 816
        END BRANCH
        IOMARKER 384 816 D0 R180 28
        IOMARKER 2496 1008 O R0 28
        BEGIN BRANCH S0
            WIRE 384 1008 1136 1008
            WIRE 1136 1008 1136 1136
            WIRE 1136 1136 1152 1136
            WIRE 1136 880 1152 880
            WIRE 1136 880 1136 1008
        END BRANCH
        BEGIN BRANCH D1
            WIRE 384 1200 1136 1200
            WIRE 1136 1200 1152 1200
        END BRANCH
        IOMARKER 384 1008 S0 R180 28
        IOMARKER 384 1200 D1 R180 28
    END SHEET
END SCHEMATIC
