VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL d(15:0)
        SIGNAL d(15)
        SIGNAL d(14)
        SIGNAL d(13)
        SIGNAL d(12)
        SIGNAL d(11)
        SIGNAL d(10)
        SIGNAL d(9)
        SIGNAL d(8)
        SIGNAL d(0)
        SIGNAL d(1)
        SIGNAL d(3)
        SIGNAL d(4)
        SIGNAL d(5)
        SIGNAL d(6)
        SIGNAL d(7)
        SIGNAL q(15)
        SIGNAL q(14)
        SIGNAL q(13)
        SIGNAL q(12)
        SIGNAL q(11)
        SIGNAL q(10)
        SIGNAL q(9)
        SIGNAL q(8)
        SIGNAL q(0)
        SIGNAL q(1)
        SIGNAL q(2)
        SIGNAL q(3)
        SIGNAL q(4)
        SIGNAL q(15:0)
        SIGNAL q(5)
        SIGNAL q(6)
        SIGNAL q(7)
        SIGNAL e
        SIGNAL clk
        SIGNAL d(2)
        PORT Input d(15:0)
        PORT Output q(15:0)
        PORT Input e
        PORT Input clk
        BEGIN BLOCKDEF fde
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 fde
            PIN C clk
            PIN CE e
            PIN D d(0)
            PIN Q q(0)
        END BLOCK
        BEGIN BLOCK XLXI_3 fde
            PIN C clk
            PIN CE e
            PIN D d(1)
            PIN Q q(1)
        END BLOCK
        BEGIN BLOCK XLXI_4 fde
            PIN C clk
            PIN CE e
            PIN D d(2)
            PIN Q q(2)
        END BLOCK
        BEGIN BLOCK XLXI_5 fde
            PIN C clk
            PIN CE e
            PIN D d(3)
            PIN Q q(3)
        END BLOCK
        BEGIN BLOCK XLXI_6 fde
            PIN C clk
            PIN CE e
            PIN D d(4)
            PIN Q q(4)
        END BLOCK
        BEGIN BLOCK XLXI_7 fde
            PIN C clk
            PIN CE e
            PIN D d(5)
            PIN Q q(5)
        END BLOCK
        BEGIN BLOCK XLXI_8 fde
            PIN C clk
            PIN CE e
            PIN D d(6)
            PIN Q q(6)
        END BLOCK
        BEGIN BLOCK XLXI_9 fde
            PIN C clk
            PIN CE e
            PIN D d(7)
            PIN Q q(7)
        END BLOCK
        BEGIN BLOCK XLXI_10 fde
            PIN C clk
            PIN CE e
            PIN D d(15)
            PIN Q q(15)
        END BLOCK
        BEGIN BLOCK XLXI_11 fde
            PIN C clk
            PIN CE e
            PIN D d(14)
            PIN Q q(14)
        END BLOCK
        BEGIN BLOCK XLXI_12 fde
            PIN C clk
            PIN CE e
            PIN D d(13)
            PIN Q q(13)
        END BLOCK
        BEGIN BLOCK XLXI_13 fde
            PIN C clk
            PIN CE e
            PIN D d(12)
            PIN Q q(12)
        END BLOCK
        BEGIN BLOCK XLXI_14 fde
            PIN C clk
            PIN CE e
            PIN D d(11)
            PIN Q q(11)
        END BLOCK
        BEGIN BLOCK XLXI_15 fde
            PIN C clk
            PIN CE e
            PIN D d(10)
            PIN Q q(10)
        END BLOCK
        BEGIN BLOCK XLXI_16 fde
            PIN C clk
            PIN CE e
            PIN D d(9)
            PIN Q q(9)
        END BLOCK
        BEGIN BLOCK XLXI_17 fde
            PIN C clk
            PIN CE e
            PIN D d(8)
            PIN Q q(8)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3801 2688
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH d(15:0)
            WIRE 704 192 816 192
            WIRE 816 192 816 208
            WIRE 816 208 816 480
            WIRE 816 480 816 752
            WIRE 816 752 816 1024
            WIRE 816 1024 816 1296
            WIRE 816 1296 816 1568
            WIRE 816 1568 816 1840
            WIRE 816 1840 816 2112
            WIRE 816 2112 816 2336
            WIRE 816 2336 1952 2336
            WIRE 1952 128 1952 208
            WIRE 1952 208 1952 480
            WIRE 1952 480 1952 752
            WIRE 1952 752 1952 1024
            WIRE 1952 1024 1952 1296
            WIRE 1952 1296 1952 1568
            WIRE 1952 1568 1952 1840
            WIRE 1952 1840 1952 2112
            WIRE 1952 2112 1952 2336
        END BRANCH
        BEGIN BRANCH d(15)
            WIRE 912 208 928 208
            WIRE 928 208 1200 208
            BEGIN DISPLAY 928 208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(14)
            WIRE 912 480 928 480
            WIRE 928 480 1200 480
            BEGIN DISPLAY 928 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(13)
            WIRE 912 752 928 752
            WIRE 928 752 1200 752
            BEGIN DISPLAY 928 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(12)
            WIRE 912 1024 928 1024
            WIRE 928 1024 1200 1024
            BEGIN DISPLAY 928 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(11)
            WIRE 912 1296 928 1296
            WIRE 928 1296 1200 1296
            BEGIN DISPLAY 928 1296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(10)
            WIRE 912 1568 928 1568
            WIRE 928 1568 1200 1568
            BEGIN DISPLAY 928 1568 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(9)
            WIRE 912 1840 928 1840
            WIRE 928 1840 1200 1840
            BEGIN DISPLAY 928 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(8)
            WIRE 912 2112 928 2112
            WIRE 928 2112 1200 2112
            BEGIN DISPLAY 928 2112 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(0)
            WIRE 2048 208 2128 208
            WIRE 2128 208 2144 208
            BEGIN DISPLAY 2128 208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(1)
            WIRE 2048 480 2128 480
            WIRE 2128 480 2144 480
            BEGIN DISPLAY 2128 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(3)
            WIRE 2048 1024 2128 1024
            WIRE 2128 1024 2144 1024
            BEGIN DISPLAY 2128 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(4)
            WIRE 2048 1296 2128 1296
            WIRE 2128 1296 2144 1296
            BEGIN DISPLAY 2128 1296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(5)
            WIRE 2048 1568 2128 1568
            WIRE 2128 1568 2144 1568
            BEGIN DISPLAY 2128 1568 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(6)
            WIRE 2048 1840 2128 1840
            WIRE 2128 1840 2144 1840
            BEGIN DISPLAY 2128 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(7)
            WIRE 2048 2112 2128 2112
            WIRE 2128 2112 2144 2112
            BEGIN DISPLAY 2128 2112 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(15)
            WIRE 1584 208 1616 208
            WIRE 1616 208 1648 208
            BEGIN DISPLAY 1616 208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(14)
            WIRE 1584 480 1616 480
            WIRE 1616 480 1648 480
            BEGIN DISPLAY 1616 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(13)
            WIRE 1584 752 1616 752
            WIRE 1616 752 1648 752
            BEGIN DISPLAY 1616 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(12)
            WIRE 1584 1024 1616 1024
            WIRE 1616 1024 1648 1024
            BEGIN DISPLAY 1616 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(11)
            WIRE 1584 1296 1616 1296
            WIRE 1616 1296 1648 1296
            BEGIN DISPLAY 1616 1296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(10)
            WIRE 1584 1568 1616 1568
            WIRE 1616 1568 1648 1568
            BEGIN DISPLAY 1616 1568 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(9)
            WIRE 1584 1840 1616 1840
            WIRE 1616 1840 1648 1840
            BEGIN DISPLAY 1616 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(8)
            WIRE 1584 2112 1616 2112
            WIRE 1616 2112 1648 2112
            BEGIN DISPLAY 1616 2112 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(0)
            WIRE 2528 208 2624 208
            WIRE 2624 208 2736 208
            BEGIN DISPLAY 2624 208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(1)
            WIRE 2528 480 2624 480
            WIRE 2624 480 2736 480
            BEGIN DISPLAY 2624 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(2)
            WIRE 2528 752 2624 752
            WIRE 2624 752 2736 752
            BEGIN DISPLAY 2624 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(3)
            WIRE 2528 1024 2624 1024
            WIRE 2624 1024 2736 1024
            BEGIN DISPLAY 2624 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(4)
            WIRE 2528 1296 2624 1296
            WIRE 2624 1296 2736 1296
            BEGIN DISPLAY 2624 1296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(15:0)
            WIRE 1744 48 2832 48
            WIRE 2832 48 2832 208
            WIRE 2832 208 2832 480
            WIRE 2832 480 2832 752
            WIRE 2832 752 2832 1024
            WIRE 2832 1024 2832 1296
            WIRE 2832 1296 2832 1568
            WIRE 2832 1568 2832 1840
            WIRE 2832 1840 2832 2112
            WIRE 2832 2112 2832 2560
            WIRE 2832 2560 3312 2560
            WIRE 1744 48 1744 208
            WIRE 1744 208 1744 480
            WIRE 1744 480 1744 752
            WIRE 1744 752 1744 1024
            WIRE 1744 1024 1744 1296
            WIRE 1744 1296 1744 1568
            WIRE 1744 1568 1744 1840
            WIRE 1744 1840 1744 2112
            WIRE 1744 2112 1744 2208
        END BRANCH
        BEGIN BRANCH q(5)
            WIRE 2528 1568 2624 1568
            WIRE 2624 1568 2736 1568
            BEGIN DISPLAY 2624 1568 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(6)
            WIRE 2528 1840 2624 1840
            WIRE 2624 1840 2736 1840
            BEGIN DISPLAY 2624 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(7)
            WIRE 2528 2112 2624 2112
            WIRE 2624 2112 2736 2112
            BEGIN DISPLAY 2624 2112 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH e
            WIRE 752 2544 1040 2544
            WIRE 1040 2544 2016 2544
            WIRE 1040 272 1200 272
            WIRE 1040 272 1040 544
            WIRE 1040 544 1200 544
            WIRE 1040 544 1040 816
            WIRE 1040 816 1200 816
            WIRE 1040 816 1040 1088
            WIRE 1040 1088 1200 1088
            WIRE 1040 1088 1040 1360
            WIRE 1040 1360 1200 1360
            WIRE 1040 1360 1040 1632
            WIRE 1040 1632 1200 1632
            WIRE 1040 1632 1040 1904
            WIRE 1040 1904 1200 1904
            WIRE 1040 1904 1040 2176
            WIRE 1040 2176 1040 2544
            WIRE 1040 2176 1200 2176
            WIRE 2016 272 2144 272
            WIRE 2016 272 2016 544
            WIRE 2016 544 2144 544
            WIRE 2016 544 2016 816
            WIRE 2016 816 2144 816
            WIRE 2016 816 2016 1088
            WIRE 2016 1088 2144 1088
            WIRE 2016 1088 2016 1360
            WIRE 2016 1360 2144 1360
            WIRE 2016 1360 2016 1632
            WIRE 2016 1632 2144 1632
            WIRE 2016 1632 2016 1904
            WIRE 2016 1904 2144 1904
            WIRE 2016 1904 2016 2176
            WIRE 2016 2176 2016 2544
            WIRE 2016 2176 2144 2176
        END BRANCH
        BEGIN BRANCH clk
            WIRE 768 2448 1136 2448
            WIRE 1136 2448 2080 2448
            WIRE 1136 336 1200 336
            WIRE 1136 336 1136 608
            WIRE 1136 608 1200 608
            WIRE 1136 608 1136 880
            WIRE 1136 880 1200 880
            WIRE 1136 880 1136 1152
            WIRE 1136 1152 1136 1424
            WIRE 1136 1424 1200 1424
            WIRE 1136 1424 1136 1696
            WIRE 1136 1696 1200 1696
            WIRE 1136 1696 1136 1968
            WIRE 1136 1968 1200 1968
            WIRE 1136 1968 1136 2240
            WIRE 1136 2240 1136 2448
            WIRE 1136 2240 1200 2240
            WIRE 1136 1152 1200 1152
            WIRE 2080 336 2144 336
            WIRE 2080 336 2080 608
            WIRE 2080 608 2144 608
            WIRE 2080 608 2080 880
            WIRE 2080 880 2144 880
            WIRE 2080 880 2080 1152
            WIRE 2080 1152 2144 1152
            WIRE 2080 1152 2080 1424
            WIRE 2080 1424 2144 1424
            WIRE 2080 1424 2080 1696
            WIRE 2080 1696 2144 1696
            WIRE 2080 1696 2080 1968
            WIRE 2080 1968 2144 1968
            WIRE 2080 1968 2080 2240
            WIRE 2080 2240 2080 2448
            WIRE 2080 2240 2144 2240
        END BRANCH
        BEGIN BRANCH d(2)
            WIRE 2048 752 2128 752
            WIRE 2128 752 2144 752
            BEGIN DISPLAY 2128 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_2 2144 464 R0
        INSTANCE XLXI_3 2144 736 R0
        INSTANCE XLXI_4 2144 1008 R0
        INSTANCE XLXI_5 2144 1280 R0
        INSTANCE XLXI_6 2144 1552 R0
        INSTANCE XLXI_7 2144 1824 R0
        INSTANCE XLXI_8 2144 2096 R0
        INSTANCE XLXI_9 2144 2368 R0
        INSTANCE XLXI_10 1200 464 R0
        INSTANCE XLXI_11 1200 736 R0
        INSTANCE XLXI_12 1200 1008 R0
        INSTANCE XLXI_13 1200 1280 R0
        INSTANCE XLXI_14 1200 1552 R0
        INSTANCE XLXI_15 1200 1824 R0
        INSTANCE XLXI_16 1200 2096 R0
        BUSTAP 816 208 912 208
        BUSTAP 816 480 912 480
        BUSTAP 816 752 912 752
        BUSTAP 816 1024 912 1024
        BUSTAP 816 1296 912 1296
        BUSTAP 816 1568 912 1568
        BUSTAP 816 1840 912 1840
        INSTANCE XLXI_17 1200 2368 R0
        BUSTAP 816 2112 912 2112
        BUSTAP 1952 208 2048 208
        BUSTAP 1952 480 2048 480
        BUSTAP 1952 752 2048 752
        BUSTAP 1952 1024 2048 1024
        BUSTAP 1952 1296 2048 1296
        BUSTAP 1952 1568 2048 1568
        BUSTAP 1952 1840 2048 1840
        BUSTAP 1952 2112 2048 2112
        BUSTAP 1744 208 1648 208
        BUSTAP 1744 480 1648 480
        BUSTAP 1744 752 1648 752
        BUSTAP 1744 1024 1648 1024
        BUSTAP 1744 1296 1648 1296
        BUSTAP 1744 1568 1648 1568
        BUSTAP 1744 1840 1648 1840
        BUSTAP 1744 2112 1648 2112
        BUSTAP 2832 208 2736 208
        BUSTAP 2832 480 2736 480
        BUSTAP 2832 752 2736 752
        BUSTAP 2832 1024 2736 1024
        BUSTAP 2832 1296 2736 1296
        BUSTAP 2832 1568 2736 1568
        BUSTAP 2832 1840 2736 1840
        BUSTAP 2832 2112 2736 2112
        IOMARKER 704 192 d(15:0) R180 28
        IOMARKER 3312 2560 q(15:0) R0 28
        IOMARKER 768 2448 clk R180 28
        IOMARKER 752 2544 e R180 28
    END SHEET
END SCHEMATIC
